Name:       wv
Summary:    MSWord 6/7/8/9 binary file format to HTML converter
Version:    1.0.0
Release:    3
Epoch:      0
License:    GPL
Group:      Applications/Text
URL:        http://wvware.sourceforge.net
Source:     http://dl.sf.net/wvware/wv-1.0.0.tar.gz
Patch0:     wv-wvtext-tmp.patch
Patch1:     wv-wvdvi-copy.patch
Patch2:     wv-docbook-filename.patch
# patch3: deal with filenames containing spaces
Patch3:     wv-wvmime-tmp-filename.patch 
Patch4:     wv-field.c.patch

#BuildRequires: XFree86-devel
BuildRequires: glib2-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel 
BuildRequires: libxml2-devel
BuildRequires: ImageMagick-devel
BuildRequires: pkgconfig
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:   wvware = %{epoch}:%{version}-%{release}
Provides:   wv-devel = %{epoch}:%{version}-%{release}

%description
Wv is a program that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.


%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4


%build
%configure --with-exporter \
           --with-libxml2 

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#ln -sf wvConvert $RPM_BUILD_ROOT/%{_bindir}/wvText
mv $RPM_BUILD_ROOT%{_prefix}/man $RPM_BUILD_ROOT%{_datadir} 
find $RPM_BUILD_ROOT%{_libdir} -name "*.la" -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING  README 
%{_bindir}/wv*
%{_datadir}/wv
%{_includedir}/wv
%{_mandir}/man1/*
%{_libdir}/libwv*
%{_libdir}/pkgconfig/*


%changelog
* Wed Jul 28 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.0-0.fdr.3
- fix security vulnerability (CAN-2004-0645)

* Fri May 14 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.0-0.fdr.2
- add several patches
- depend on glib2 (bug 1592)

* Wed May 12 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.0-0.fdr.1
- initial RPM (from Mandrake)
